// Copyright 2020 Google Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
////////////////////////////////////////////////////////////////////////////////

// Code generated by protoc-gen-go. DO NOT EDIT.
// source: third_party/tink/proto/aes_ctr_hmac_aead.proto

package aes_ctr_hmac_aead_go_proto

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	aes_ctr_go_proto "github.com/google/tink/go/proto/aes_ctr_go_proto"
	hmac_go_proto "github.com/google/tink/go/proto/hmac_go_proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type AesCtrHmacAeadKeyFormat struct {
	AesCtrKeyFormat      *aes_ctr_go_proto.AesCtrKeyFormat `protobuf:"bytes,1,opt,name=aes_ctr_key_format,json=aesCtrKeyFormat,proto3" json:"aes_ctr_key_format,omitempty"`
	HmacKeyFormat        *hmac_go_proto.HmacKeyFormat      `protobuf:"bytes,2,opt,name=hmac_key_format,json=hmacKeyFormat,proto3" json:"hmac_key_format,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                          `json:"-"`
	XXX_unrecognized     []byte                            `json:"-"`
	XXX_sizecache        int32                             `json:"-"`
}

func (m *AesCtrHmacAeadKeyFormat) Reset()         { *m = AesCtrHmacAeadKeyFormat{} }
func (m *AesCtrHmacAeadKeyFormat) String() string { return proto.CompactTextString(m) }
func (*AesCtrHmacAeadKeyFormat) ProtoMessage()    {}
func (*AesCtrHmacAeadKeyFormat) Descriptor() ([]byte, []int) {
	return fileDescriptor_169302744b0080e1, []int{0}
}

func (m *AesCtrHmacAeadKeyFormat) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AesCtrHmacAeadKeyFormat.Unmarshal(m, b)
}
func (m *AesCtrHmacAeadKeyFormat) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AesCtrHmacAeadKeyFormat.Marshal(b, m, deterministic)
}
func (m *AesCtrHmacAeadKeyFormat) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AesCtrHmacAeadKeyFormat.Merge(m, src)
}
func (m *AesCtrHmacAeadKeyFormat) XXX_Size() int {
	return xxx_messageInfo_AesCtrHmacAeadKeyFormat.Size(m)
}
func (m *AesCtrHmacAeadKeyFormat) XXX_DiscardUnknown() {
	xxx_messageInfo_AesCtrHmacAeadKeyFormat.DiscardUnknown(m)
}

var xxx_messageInfo_AesCtrHmacAeadKeyFormat proto.InternalMessageInfo

func (m *AesCtrHmacAeadKeyFormat) GetAesCtrKeyFormat() *aes_ctr_go_proto.AesCtrKeyFormat {
	if m != nil {
		return m.AesCtrKeyFormat
	}
	return nil
}

func (m *AesCtrHmacAeadKeyFormat) GetHmacKeyFormat() *hmac_go_proto.HmacKeyFormat {
	if m != nil {
		return m.HmacKeyFormat
	}
	return nil
}

// key_type: type.googleapis.com/google.crypto.tink.AesCtrHmacAeadKey
type AesCtrHmacAeadKey struct {
	Version              uint32                      `protobuf:"varint,1,opt,name=version,proto3" json:"version,omitempty"`
	AesCtrKey            *aes_ctr_go_proto.AesCtrKey `protobuf:"bytes,2,opt,name=aes_ctr_key,json=aesCtrKey,proto3" json:"aes_ctr_key,omitempty"`
	HmacKey              *hmac_go_proto.HmacKey      `protobuf:"bytes,3,opt,name=hmac_key,json=hmacKey,proto3" json:"hmac_key,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                    `json:"-"`
	XXX_unrecognized     []byte                      `json:"-"`
	XXX_sizecache        int32                       `json:"-"`
}

func (m *AesCtrHmacAeadKey) Reset()         { *m = AesCtrHmacAeadKey{} }
func (m *AesCtrHmacAeadKey) String() string { return proto.CompactTextString(m) }
func (*AesCtrHmacAeadKey) ProtoMessage()    {}
func (*AesCtrHmacAeadKey) Descriptor() ([]byte, []int) {
	return fileDescriptor_169302744b0080e1, []int{1}
}

func (m *AesCtrHmacAeadKey) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AesCtrHmacAeadKey.Unmarshal(m, b)
}
func (m *AesCtrHmacAeadKey) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AesCtrHmacAeadKey.Marshal(b, m, deterministic)
}
func (m *AesCtrHmacAeadKey) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AesCtrHmacAeadKey.Merge(m, src)
}
func (m *AesCtrHmacAeadKey) XXX_Size() int {
	return xxx_messageInfo_AesCtrHmacAeadKey.Size(m)
}
func (m *AesCtrHmacAeadKey) XXX_DiscardUnknown() {
	xxx_messageInfo_AesCtrHmacAeadKey.DiscardUnknown(m)
}

var xxx_messageInfo_AesCtrHmacAeadKey proto.InternalMessageInfo

func (m *AesCtrHmacAeadKey) GetVersion() uint32 {
	if m != nil {
		return m.Version
	}
	return 0
}

func (m *AesCtrHmacAeadKey) GetAesCtrKey() *aes_ctr_go_proto.AesCtrKey {
	if m != nil {
		return m.AesCtrKey
	}
	return nil
}

func (m *AesCtrHmacAeadKey) GetHmacKey() *hmac_go_proto.HmacKey {
	if m != nil {
		return m.HmacKey
	}
	return nil
}

func init() {
	proto.RegisterType((*AesCtrHmacAeadKeyFormat)(nil), "google.crypto.tink.AesCtrHmacAeadKeyFormat")
	proto.RegisterType((*AesCtrHmacAeadKey)(nil), "google.crypto.tink.AesCtrHmacAeadKey")
}

func init() {
	proto.RegisterFile("proto/aes_ctr_hmac_aead.proto", fileDescriptor_169302744b0080e1)
}

var fileDescriptor_169302744b0080e1 = []byte{
	// 296 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x7c, 0x92, 0xc1, 0x4a, 0xc3, 0x40,
	0x10, 0x86, 0x49, 0x85, 0x56, 0xb7, 0x94, 0xe2, 0x5e, 0x0c, 0x55, 0xc1, 0x56, 0x0f, 0x9e, 0x36,
	0xa0, 0xa0, 0x27, 0x0f, 0xad, 0x20, 0x96, 0x82, 0x84, 0xe0, 0xc9, 0xcb, 0xb2, 0xd9, 0xac, 0x49,
	0xa8, 0xdb, 0x09, 0x9b, 0x55, 0xc8, 0xeb, 0x88, 0xcf, 0xe0, 0xf3, 0x49, 0x26, 0x4d, 0x8d, 0xb4,
	0xe6, 0x38, 0x93, 0x7f, 0xbe, 0xf9, 0x26, 0x2c, 0x61, 0x36, 0x49, 0x4d, 0xc4, 0x33, 0x61, 0x6c,
	0xe1, 0xd9, 0x74, 0xb5, 0xf4, 0x32, 0x03, 0x16, 0x3c, 0xa1, 0x72, 0x2e, 0xad, 0xe1, 0x89, 0x16,
	0x92, 0x0b, 0x25, 0x22, 0x86, 0x7d, 0x4a, 0x63, 0x80, 0xf8, 0x4d, 0x31, 0x69, 0x8a, 0xcc, 0x02,
	0x2b, 0x27, 0x46, 0x17, 0xed, 0x8c, 0x6a, 0x72, 0x34, 0xfe, 0x27, 0x55, 0x6e, 0xa8, 0x22, 0x93,
	0x6f, 0x87, 0x1c, 0x4d, 0x55, 0x7e, 0x6f, 0xcd, 0xa3, 0x16, 0x72, 0xaa, 0x44, 0xb4, 0x50, 0xc5,
	0x03, 0x18, 0x2d, 0x2c, 0xf5, 0x09, 0xad, 0x9d, 0x96, 0xaa, 0xe0, 0xaf, 0xd8, 0x75, 0x9d, 0x33,
	0xe7, 0xb2, 0x7f, 0x75, 0xce, 0xb6, 0xad, 0x58, 0x05, 0xda, 0x00, 0x82, 0xa1, 0xf8, 0xdb, 0xa0,
	0x73, 0x32, 0xc4, 0xeb, 0x1a, 0xb8, 0x0e, 0xe2, 0xc6, 0xbb, 0x70, 0xa5, 0xd1, 0x2f, 0x6c, 0x90,
	0x34, 0xcb, 0xc9, 0x97, 0x43, 0x0e, 0xb7, 0xc4, 0xa9, 0x4b, 0x7a, 0x1f, 0xca, 0xe4, 0x29, 0xac,
	0xd0, 0x73, 0x10, 0xd4, 0x25, 0xbd, 0x23, 0xfd, 0xc6, 0x31, 0xeb, 0xb5, 0xa7, 0xad, 0x57, 0x04,
	0x07, 0x1b, 0x7f, 0x7a, 0x43, 0xf6, 0x6b, 0x73, 0x77, 0x0f, 0x67, 0x8f, 0x5b, 0x94, 0x83, 0xde,
	0x5a, 0x76, 0x16, 0x92, 0x13, 0x09, 0x7a, 0x57, 0x14, 0xff, 0xbf, 0xef, 0xbc, 0xdc, 0xc6, 0xa9,
	0x4d, 0xde, 0x43, 0x26, 0x41, 0x7b, 0x55, 0xac, 0xf5, 0x51, 0xf0, 0x18, 0x38, 0x7e, 0xfa, 0xec,
	0x74, 0x9f, 0xe7, 0x4f, 0x0b, 0x7f, 0x16, 0x76, 0xb1, 0xbe, 0xfe, 0x09, 0x00, 0x00, 0xff, 0xff,
	0x1a, 0xa5, 0xb9, 0x8c, 0x59, 0x02, 0x00, 0x00,
}
