// Copyright 2020 Google Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
////////////////////////////////////////////////////////////////////////////////

// Code generated by protoc-gen-go. DO NOT EDIT.
// source: third_party/tink/proto/xchacha20_poly1305.proto

package xchacha20_poly1305_go_proto

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type XChaCha20Poly1305KeyFormat struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *XChaCha20Poly1305KeyFormat) Reset()         { *m = XChaCha20Poly1305KeyFormat{} }
func (m *XChaCha20Poly1305KeyFormat) String() string { return proto.CompactTextString(m) }
func (*XChaCha20Poly1305KeyFormat) ProtoMessage()    {}
func (*XChaCha20Poly1305KeyFormat) Descriptor() ([]byte, []int) {
	return fileDescriptor_d05c005514adb1c5, []int{0}
}

func (m *XChaCha20Poly1305KeyFormat) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_XChaCha20Poly1305KeyFormat.Unmarshal(m, b)
}
func (m *XChaCha20Poly1305KeyFormat) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_XChaCha20Poly1305KeyFormat.Marshal(b, m, deterministic)
}
func (m *XChaCha20Poly1305KeyFormat) XXX_Merge(src proto.Message) {
	xxx_messageInfo_XChaCha20Poly1305KeyFormat.Merge(m, src)
}
func (m *XChaCha20Poly1305KeyFormat) XXX_Size() int {
	return xxx_messageInfo_XChaCha20Poly1305KeyFormat.Size(m)
}
func (m *XChaCha20Poly1305KeyFormat) XXX_DiscardUnknown() {
	xxx_messageInfo_XChaCha20Poly1305KeyFormat.DiscardUnknown(m)
}

var xxx_messageInfo_XChaCha20Poly1305KeyFormat proto.InternalMessageInfo

// key_type: type.googleapis.com/google.crypto.tink.XChaCha20Poly1305Key
type XChaCha20Poly1305Key struct {
	Version              uint32   `protobuf:"varint,1,opt,name=version,proto3" json:"version,omitempty"`
	KeyValue             []byte   `protobuf:"bytes,3,opt,name=key_value,json=keyValue,proto3" json:"key_value,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *XChaCha20Poly1305Key) Reset()         { *m = XChaCha20Poly1305Key{} }
func (m *XChaCha20Poly1305Key) String() string { return proto.CompactTextString(m) }
func (*XChaCha20Poly1305Key) ProtoMessage()    {}
func (*XChaCha20Poly1305Key) Descriptor() ([]byte, []int) {
	return fileDescriptor_d05c005514adb1c5, []int{1}
}

func (m *XChaCha20Poly1305Key) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_XChaCha20Poly1305Key.Unmarshal(m, b)
}
func (m *XChaCha20Poly1305Key) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_XChaCha20Poly1305Key.Marshal(b, m, deterministic)
}
func (m *XChaCha20Poly1305Key) XXX_Merge(src proto.Message) {
	xxx_messageInfo_XChaCha20Poly1305Key.Merge(m, src)
}
func (m *XChaCha20Poly1305Key) XXX_Size() int {
	return xxx_messageInfo_XChaCha20Poly1305Key.Size(m)
}
func (m *XChaCha20Poly1305Key) XXX_DiscardUnknown() {
	xxx_messageInfo_XChaCha20Poly1305Key.DiscardUnknown(m)
}

var xxx_messageInfo_XChaCha20Poly1305Key proto.InternalMessageInfo

func (m *XChaCha20Poly1305Key) GetVersion() uint32 {
	if m != nil {
		return m.Version
	}
	return 0
}

func (m *XChaCha20Poly1305Key) GetKeyValue() []byte {
	if m != nil {
		return m.KeyValue
	}
	return nil
}

func init() {
	proto.RegisterType((*XChaCha20Poly1305KeyFormat)(nil), "google.crypto.tink.XChaCha20Poly1305KeyFormat")
	proto.RegisterType((*XChaCha20Poly1305Key)(nil), "google.crypto.tink.XChaCha20Poly1305Key")
}

func init() {
	proto.RegisterFile("proto/xchacha20_poly1305.proto", fileDescriptor_d05c005514adb1c5)
}

var fileDescriptor_d05c005514adb1c5 = []byte{
	// 215 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0xd2, 0x2f, 0xc9, 0xc8, 0x2c,
	0x4a, 0x89, 0x2f, 0x48, 0x2c, 0x2a, 0xa9, 0xd4, 0x2f, 0xc9, 0xcc, 0xcb, 0xd6, 0x2f, 0x28, 0xca,
	0x2f, 0xc9, 0xd7, 0xaf, 0x48, 0xce, 0x48, 0x4c, 0xce, 0x48, 0x34, 0x32, 0x88, 0x2f, 0xc8, 0xcf,
	0xa9, 0x34, 0x34, 0x36, 0x30, 0xd5, 0x03, 0x4b, 0x08, 0x09, 0xa5, 0xe7, 0xe7, 0xa7, 0xe7, 0xa4,
	0xea, 0x25, 0x17, 0x55, 0x16, 0x94, 0xe4, 0xeb, 0x81, 0xb4, 0x28, 0xc9, 0x70, 0x49, 0x45, 0x38,
	0x67, 0x24, 0x3a, 0x83, 0xd4, 0x07, 0x40, 0x95, 0x7b, 0xa7, 0x56, 0xba, 0xe5, 0x17, 0xe5, 0x26,
	0x96, 0x28, 0xf9, 0x72, 0x89, 0x60, 0x93, 0x15, 0x92, 0xe0, 0x62, 0x2f, 0x4b, 0x2d, 0x2a, 0xce,
	0xcc, 0xcf, 0x93, 0x60, 0x54, 0x60, 0xd4, 0xe0, 0x0d, 0x82, 0x71, 0x85, 0xa4, 0xb9, 0x38, 0xb3,
	0x53, 0x2b, 0xe3, 0xcb, 0x12, 0x73, 0x4a, 0x53, 0x25, 0x98, 0x15, 0x18, 0x35, 0x78, 0x82, 0x38,
	0xb2, 0x53, 0x2b, 0xc3, 0x40, 0x7c, 0xa7, 0x64, 0x2e, 0x99, 0xe4, 0xfc, 0x5c, 0x3d, 0x4c, 0x67,
	0x40, 0x1c, 0x18, 0xc0, 0x18, 0x65, 0x91, 0x9e, 0x59, 0x92, 0x51, 0x9a, 0xa4, 0x97, 0x9c, 0x9f,
	0xab, 0x0f, 0x51, 0x86, 0xdf, 0x67, 0xf1, 0xe9, 0xf9, 0xf1, 0x60, 0xb9, 0x45, 0x4c, 0x6c, 0x21,
	0x9e, 0x7e, 0xde, 0x01, 0x4e, 0x49, 0x6c, 0x60, 0xbe, 0x31, 0x20, 0x00, 0x00, 0xff, 0xff, 0x97,
	0x4f, 0x1b, 0x20, 0x1f, 0x01, 0x00, 0x00,
}
